Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class EmptyFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.EmptyFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class EmptyFileFilter

extends AbstractFileFilter
implements Serializable

This filter accepts files or directories that are empty.

If the `File` is a directory it checks that it contains no files.

Example, showing how to print out a list of the current directory's empty files/directories:

     File dir = new File(".");
     String[] files = dir.list( EmptyFileFilter.EMPTY );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Example, showing how to print out a list of the current directory's non-empty files/directories:

     File dir = new File(".");
     String[] files = dir.list( EmptyFileFilter.NOT_EMPTY );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  Commons IO 1.3
Version:
  $Revision: 659817 $
See Also:
  Serialized Form

Field Summary
`static IOFileFilter` | `EMPTY` Singleton instance of empty filter
`static IOFileFilter` | `NOT_EMPTY` Singleton instance of not-empty filter

Constructor Summary
`protected` | `EmptyFileFilter()` Restrictive consructor.

Method Summary
`boolean` | `accept(File file)` Checks to see if the file is empty.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final IOFileFilter EMPTY

  Singleton instance of empty filter

### NOT_EMPTY

    public static final IOFileFilter NOT_EMPTY

  Singleton instance of not-empty filter

Constructor Detail

### EmptyFileFilter

    protected EmptyFileFilter()

  Restrictive consructor.

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the file is empty.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the file or directory to check
  Returns:
    `true` if the file or directory is empty, otherwise `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.